using Microsoft.Extensions.DependencyInjection;
using NPin.Framework.Core;
using Volo.Abp.ObjectMapping;

namespace NPin.Framework.Mapster;

[DependsOn(
    typeof(NPinFrameworkCoreModule),
    typeof(AbpObjectMappingModule)
)]
public class NPinFrameworkMapsterModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        // 注入 MapsterAutoObjectMappingProvider
        context.Services.AddTransient<IAutoObjectMappingProvider, MapsterAutoObjectMappingProvider>();
    }
}